Debian Bug report logs - #558999
FTBFS [hppa] - recompile with -ffunction-sections

Package: gcc-4.4; Maintainer for gcc-4.4 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-4.4 is src:gcc-4.4.

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 1 Dec 2009 03:12:05 UTC

Severity: important

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Tue, 01 Dec 2009 03:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 01 Dec 2009 03:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS [hppa] - recompile with -ffunction-sections
Date: Mon, 30 Nov 2009 20:10:27 -0700
Package: java-gnome
Version: 4.0.13-3
Severity: serious
User: debian-hppa@lists.debian.org
Usertags: hppa

java-gnome_4.0.13-3 reliably fails to build on hppa:
  https://buildd.debian.org/build.php?&pkg=java-gnome&ver=4.0.13-3&arch=hppa&file=log

From the most recent build attempt:
[...]
GCC	src/jni/gnome_screenshot_utils.c
GCC	src/jni/bindings_java_util.c
LINK	tmp/libgtkjni-4.0.13.so
/usr/bin/ld: tmp/objects/org/gnome/gtk/GtkWidget.o(.text+0xd70): cannot reach 000002d7_gtk_widget_translate_coordinates+0, recompile with -ffunction-sections
/usr/bin/ld: tmp/objects/org/gnome/gtk/GtkWidget.o(.text+0xd70): cannot handle R_PARISC_PCREL17F for gtk_widget_translate_coordinates
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status
make[1]: *** [build-java] Error 1
make[1]: Leaving directory `/build/buildd/java-gnome-4.0.13'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Tue, 01 Dec 2009 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Onkar Shinde <onkarshinde@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 01 Dec 2009 15:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 558999@bugs.debian.org (full text, mbox):

From: Onkar Shinde <onkarshinde@ubuntu.com>
To: dann frazier <dannf@debian.org>, 558999@bugs.debian.org
Subject: Re: Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections
Date: Tue, 1 Dec 2009 20:54:56 +0530
I am not very good at GCC optimizations. Can you please explain why
this problem is not seen on other architectures? Also can you please
advise if I should add this compiler option for all arch or just hppa.


Thanks,
Onkar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Tue, 01 Dec 2009 17:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Bottomley <James.Bottomley@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 01 Dec 2009 17:48:15 GMT) Full text and rfc822 format available.

Message #15 received at 558999@bugs.debian.org (full text, mbox):

From: James Bottomley <James.Bottomley@suse.de>
To: 558999@bugs.debian.org
Subject: Re: Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections
Date: Tue, 01 Dec 2009 12:31:26 -0500
> I am not very good at GCC optimizations. Can you please explain why
> this problem is not seen on other architectures? Also can you please
> advise if I should add this compiler option for all arch or just hppa.

It's not really a gcc problem, it's an ELF one.  The ELF spec for HPPA
says that we need to leave symbol resolution as a relative jump.  On
parisc 32 bits, this is a 17bit relative jump.  We can do longer by
indirecting through a stub section.  However, this problem usually
occurs because the actual text section of the .o file is bigger than
131k (about 17 bits) and so the linker can't insert a reachable stub
into the binary.

-ffunction-sections splits the text section up into one section per
function, so now the linker can insert the stubs in between the
functions and thus the problem is solved (until a single function gets
longer than 131k).

Most other architectures have bigger relative jumps, so they likely
won't need -ffunction-sections (unless the file you're compiling gets
much bigger).

James






Reply sent to Onkar Shinde <onkarshinde@ubuntu.com>:
You have taken responsibility. (Sat, 09 Jan 2010 15:45:21 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Sat, 09 Jan 2010 15:45:23 GMT) Full text and rfc822 format available.

Message #20 received at 558999-close@bugs.debian.org (full text, mbox):

From: Onkar Shinde <onkarshinde@ubuntu.com>
To: 558999-close@bugs.debian.org
Subject: Bug#558999: fixed in java-gnome 4.0.14-1
Date: Sat, 09 Jan 2010 15:42:37 +0000
Source: java-gnome
Source-Version: 4.0.14-1

We believe that the bug you reported is fixed in the latest version of
java-gnome, which is due to be installed in the Debian FTP archive:

java-gnome_4.0.14-1.diff.gz
  to main/j/java-gnome/java-gnome_4.0.14-1.diff.gz
java-gnome_4.0.14-1.dsc
  to main/j/java-gnome/java-gnome_4.0.14-1.dsc
java-gnome_4.0.14.orig.tar.gz
  to main/j/java-gnome/java-gnome_4.0.14.orig.tar.gz
libjava-gnome-java-doc_4.0.14-1_all.deb
  to main/j/java-gnome/libjava-gnome-java-doc_4.0.14-1_all.deb
libjava-gnome-java_4.0.14-1_all.deb
  to main/j/java-gnome/libjava-gnome-java_4.0.14-1_all.deb
libjava-gnome-jni_4.0.14-1_i386.deb
  to main/j/java-gnome/libjava-gnome-jni_4.0.14-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558999@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Onkar Shinde <onkarshinde@ubuntu.com> (supplier of updated java-gnome package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Dec 2009 15:50:27 +0530
Source: java-gnome
Binary: libjava-gnome-java libjava-gnome-jni libjava-gnome-java-doc
Architecture: source all i386
Version: 4.0.14-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Onkar Shinde <onkarshinde@ubuntu.com>
Description: 
 libjava-gnome-java - The java-gnome language bindings project
 libjava-gnome-java-doc - The java-gnome language bindings project
 libjava-gnome-jni - The java-gnome language bindings project
Closes: 558999
Changes: 
 java-gnome (4.0.14-1) unstable; urgency=low
 .
   * New upstream release.
   * debian/rules
     - Add compiler flag -ffunction-sections if the architecture is hppa. Fixes
       FTBFS on hppa. (Closes: #558999)
   * debian/patches/01_take_screenshots.diff
     - Revert the commenting of the code that launches file chooser dialog.
       Not needed anymore as the glib bug that caused the FTBFS is fixed.
   * debian/copyright
     - Rewrite file according to DEP-5. Clarify licensing of some files which
       are not part of the runtime.
Checksums-Sha1: 
 9e41c23a4319b901c66a68badd9fecfe7e4581e6 1649 java-gnome_4.0.14-1.dsc
 898752b7d5d68376fcc7a30a467b06d03672a3ed 1115978 java-gnome_4.0.14.orig.tar.gz
 78984abb4165f38bb025e2cd3ca10ee9957558ea 5087 java-gnome_4.0.14-1.diff.gz
 a0183dc70d0f06b4156d784ddf6ad99eb772f7ec 1220986 libjava-gnome-java_4.0.14-1_all.deb
 6832f5f0e504ed93e2538406285e789fdd72d0b8 1249274 libjava-gnome-java-doc_4.0.14-1_all.deb
 bdbea2c0908e7418cab6adb42de5a00242b258f3 285390 libjava-gnome-jni_4.0.14-1_i386.deb
Checksums-Sha256: 
 2b4de6da119848f4546f10f7d6a162670d91eb7056057e8d9579043e8ff4a6e3 1649 java-gnome_4.0.14-1.dsc
 a88eeaab1ec029b85420e28cb515f445185e130f11c68f1cbe17d1497d07d103 1115978 java-gnome_4.0.14.orig.tar.gz
 6f231e47366ca20f96c50ee3842764206c605d12b8a4cff5ca24c365130a3533 5087 java-gnome_4.0.14-1.diff.gz
 26bb3fbc393b44cf1327ee39b95bb0568133e71239b403e2583e0ec5a27a6f63 1220986 libjava-gnome-java_4.0.14-1_all.deb
 d034b595b67644c513e7770e7422dd2cffca06727609610ea0b749201d4a27c3 1249274 libjava-gnome-java-doc_4.0.14-1_all.deb
 5ce10948ce49fe3fd4e246e061583d0ad931d370d8c4fe6927ee6e910d53f727 285390 libjava-gnome-jni_4.0.14-1_i386.deb
Files: 
 2086e23450c1aa8834a2d0206e9b667c 1649 java optional java-gnome_4.0.14-1.dsc
 fc8c81e3022615706b5479a97a18b7f9 1115978 java optional java-gnome_4.0.14.orig.tar.gz
 55d51527f2890ee102bcccf35268f791 5087 java optional java-gnome_4.0.14-1.diff.gz
 eeb31980e82d7276dbadbe95944f4837 1220986 java optional libjava-gnome-java_4.0.14-1_all.deb
 d84693b548ec3f4d83e4691ef83451f6 1249274 doc optional libjava-gnome-java-doc_4.0.14-1_all.deb
 3b4c1edbee384223bda0b85fb38c0419 285390 libs optional libjava-gnome-jni_4.0.14-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAktIiBAACgkQpldmHVvob7m19ACg5D9RFwwt3J3VNAFl8h0Oe6I8
ObQAoMep1e7gnZQO1FT/hHY8nbER5udE
=tsHx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Mon, 11 Jan 2010 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Onkar Shinde <onkarshinde@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 11 Jan 2010 04:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 558999@bugs.debian.org (full text, mbox):

From: Onkar Shinde <onkarshinde@ubuntu.com>
To: BTS-Control <control@bugs.debian.org>
Cc: 558999@bugs.debian.org
Subject: Build still fails
Date: Mon, 11 Jan 2010 10:06:39 +0530
reopen 558999
thanks

The bug is not fixed even with latest changes in packaging. It looks
like compiler flag set from debian/rules file is not getting used by
the build system. The build still fails with same error on hppa.




Bug No longer marked as fixed in versions java-gnome/4.0.14-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jan 2010 04:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Mon, 18 Jan 2010 01:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 18 Jan 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #32 received at 558999@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: onkarshinde@ubuntu.com
Cc: 558999@bugs.debian.org, James.Bottomley@suse.de, debian-hppa@lists.debian.org
Subject: re: Build still fails ( Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections )
Date: Mon, 18 Jan 2010 01:41:27 +0000
>The bug is not fixed even with latest changes in packaging. It looks
>like compiler flag set from debian/rules file is not getting used by
>the build system.

mmm, looks like it is to me

"/usr/bin/gcc-4.4  -g -Wall -fPIC -I/usr/lib/jvm/default-java/include -I/usr/lib/jvm/default-java/include/linux -Wno-int-to-pointer-cast -Wno-pointer-to-int-cast  -Werror-implicit-function-declaration -Wfatal-errors -Isrc/jni -Itmp/include -pthread -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/gtksourceview-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtkspell-2.0 -I/usr/include/unique-1.0 -I/usr/include/enchant -g -O2 -g -Wall -O2 -ffunction-sections -o tmp/objects/org/gnome/gtk/GtkWidget.o -c generated/bindings/org/gnome/gtk/GtkWidget.c"

>The build still fails with same error on hppa.
actually the error has changed

old>/usr/bin/ld: tmp/objects/org/gnome/gtk/GtkWidget.o(.text+0xd70): cannot reach 000002d7_gtk_widget_translate_coordinates+0, recompile with -ffunction-sections
new>/usr/bin/ld: tmp/objects/org/gnome/gtk/GtkWidget.o(.text.Java_org_gnome_gtk_GtkWidget_gtk_1widget_1modify_1fg+0x14): cannot reach 0000042a_gtk_widget_modify_fg+0, recompile with -ffunction-sections

Which would seem to indicate that even with function sections used the sections are still too big.

However Java_org_gnome_gtk_GtkWidget_gtk_1widget_1modify_1fg looks like a pretty simple function to me* so I can't see how it would generate a huge section. Any HPPA experts got any idea what else the problem could be?

*checked on amd64 since I don't have access to a hppa system but I doubt the generator does anything different on different architectures.






Bug Marked as found in versions 4.0.14-2. Request was from dannf@ldl.fc.hp.com (dann frazier) to control@bugs.debian.org. (Tue, 19 Jan 2010 03:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#558999; Package java-gnome. (Sun, 24 Jan 2010 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 24 Jan 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 558999@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: peter green <plugwash@p10link.net>, 558999@bugs.debian.org
Cc: onkarshinde@ubuntu.com, James.Bottomley@suse.de, debian-hppa@lists.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#558999: Build still fails ( Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections )
Date: Sun, 24 Jan 2010 16:46:33 +0100
reassign 558999 gcc-4.4
thanks

I am reassigning the bug to the gcc-4.4 package because the compiler
suggest using -ffunction-sections when that argument is specified on
the command line:

On Mon, Jan 18, 2010 at 2:41 AM, peter green <plugwash@p10link.net> wrote:
> "/usr/bin/gcc-4.4  -g -Wall -fPIC -I/usr/lib/jvm/default-java/include
> -I/usr/lib/jvm/default-java/include/linux -Wno-int-to-pointer-cast
> -Wno-pointer-to-int-cast  -Werror-implicit-function-declaration
> -Wfatal-errors -Isrc/jni -Itmp/include -pthread -D_REENTRANT
> -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0
> -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
> -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2
> -I/usr/include/directfb -I/usr/include/libpng12
> -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libglade-2.0
> -I/usr/include/libxml2 -I/usr/include/gtksourceview-2.0
> -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
> -I/usr/include/gtkspell-2.0 -I/usr/include/unique-1.0 -I/usr/include/enchant
> -g -O2 -g -Wall -O2 -ffunction-sections -o
> tmp/objects/org/gnome/gtk/GtkWidget.o -c
> generated/bindings/org/gnome/gtk/GtkWidget.c"
>
>> The build still fails with same error on hppa.
>
> actually the error has changed
>
> old>/usr/bin/ld: tmp/objects/org/gnome/gtk/GtkWidget.o(.text+0xd70): cannot
> reach 000002d7_gtk_widget_translate_coordinates+0, recompile with
> -ffunction-sections
> new>/usr/bin/ld:
> tmp/objects/org/gnome/gtk/GtkWidget.o(.text.Java_org_gnome_gtk_GtkWidget_gtk_1widget_1modify_1fg+0x14):
> cannot reach 0000042a_gtk_widget_modify_fg+0, recompile with
> -ffunction-sections


Torsten




Bug reassigned from package 'java-gnome' to 'gcc-4.4'. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 15:51:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 4.0.14-2 and 4.0.13-3. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 15:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Sat, 17 Apr 2010 20:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 17 Apr 2010 20:06:14 GMT) Full text and rfc822 format available.

Message #48 received at 558999@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: mail.twerner@googlemail.com
Cc: peter green <plugwash@p10link.net>, 558999@bugs.debian.org, onkarshinde@ubuntu.com, James.Bottomley@suse.de, debian-hppa@lists.debian.org
Subject: Re: Bug#558999: Build still fails ( Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections )
Date: Sat, 17 Apr 2010 21:38:45 +0200
* Torsten Werner (twerner@debian.org) [100124 14:46]:
> I am reassigning the bug to the gcc-4.4 package because the compiler
> suggest using -ffunction-sections when that argument is specified on
> the command line:

any news on this bug?

I'd appreciate if someone with more hppa / ELF knowledge than I have
could take a deeper look at what is going wrong (especially as it
still fails with -ffunction-sections).



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Tue, 27 Jul 2010 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 27 Jul 2010 16:36:03 GMT) Full text and rfc822 format available.

Message #53 received at 558999@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 558999@bugs.debian.org
Subject: FTBFS [hppa] - recompile with -ffunction-sections
Date: Tue, 27 Jul 2010 18:30:23 +0200
Hi,

maybe we should try gcc -mlong-calls on java-gnome and/or gtk+?

I can do as soon as I have access to my own machine where I have a key
to the Debian hppa porter box.

bye,
  Roland




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Wed, 28 Jul 2010 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 28 Jul 2010 00:57:03 GMT) Full text and rfc822 format available.

Message #58 received at 558999@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Roland Stigge <stigge@antcom.de>, 558999@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections
Date: Wed, 28 Jul 2010 02:56:08 +0200
severity 558999 important
thanks


On 27.07.2010 18:30, Roland Stigge wrote:
> Hi,
>
> maybe we should try gcc -mlong-calls on java-gnome and/or gtk+?
>
> I can do as soon as I have access to my own machine where I have a key
> to the Debian hppa porter box.

I confirm that that adding -mlong-calls to CFLAGS in java-gnome for hppa lets 
the build succeed.

workaround available, lowering severity in gcc-4.4

  Matthias




Severity set to 'important' from 'serious' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 28 Jul 2010 00:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Thu, 12 Aug 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 12 Aug 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #65 received at 558999@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 558999@bugs.debian.org
Subject: FTBFS [hppa] - recompile with -ffunction-sections
Date: Fri, 13 Aug 2010 01:07:22 +0200
Hello,

#588923 ( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588923 ) looks 
similar to this one, Roland Stigge pointed to this bug report.

I saw that you got it compiled by using -mlong-calls in addition to -
ffunction-sections, but it doesn't seem to work in this case.

Any hints or suggestions?  Should I reassign the bug to gcc-4.4 or 
something?


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>




Added indication that 558999 affects src:java-gnome Request was from dannf@ldl.fc.hp.com (dann frazier) to control@bugs.debian.org. (Tue, 31 Aug 2010 07:39:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Fri, 05 Aug 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 05 Aug 2011 14:45:07 GMT) Full text and rfc822 format available.

Message #72 received at 558999@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 558999-done@bugs.debian.org, 558999@bugs.debian.org
Subject: FTBFS [hppa] - recompile with -ffunction-sections
Date: Fri, 05 Aug 2011 16:41:42 +0200
Hello

I am closing this bug since hppa is no longer a target arch for Debian.


Sylvestre






Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Fri, 05 Aug 2011 14:45:09 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Fri, 05 Aug 2011 14:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#558999; Package gcc-4.4. (Sun, 07 Aug 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 07 Aug 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #82 received at 558999@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 558999@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#558999: FTBFS [hppa] - recompile with -ffunction-sections
Date: Sun, 07 Aug 2011 17:34:07 +0200
reopen 558999
thanks

On 08/05/2011 04:41 PM, Sylvestre Ledru wrote:
> I am closing this bug since hppa is no longer a target arch for Debian.

sorry, but this is plain wrong.  with this argument you can close any bug which
affects debian-ports only.




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Aug 2011 15:39:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:34:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.